<?php

declare(strict_types=1);

namespace Rowlinson\Api\Responses\Basket;

use JMS\Serializer\Annotation as Serializer;

class BasketResponse
{
    /**
     * @Serializer\Type("int")
     */
    public int $itemCount = 0;
    /**
     * @Serializer\Type("string")
     */
    public string $subtotal = '0.00';
    /**
     * @Serializer\Type("string")
     */
    public string $tax = '0.00';
    /**
     * @Serializer\Type("string")
     */
    public string $total = '0.00';
    /**
     * @var array<ItemResponse>
     * @Serializer\Type("array<Rowlinson\Api\Responses\Basket\ItemResponse>")
     */
    public array $items = [];
    /**
     * @var array<MessageResponse>
     * @Serializer\Type("array<Rowlinson\Api\Responses\Basket\MessageResponse>")
     */
    public array $errors = [];
    /**
     * @var array<MessageResponse>
     * @Serializer\Type("array<Rowlinson\Api\Responses\Basket\MessageResponse>")
     */
    public array $surchargeWarnings = [];
}
